darcs-2.16.5: a distributed, interactive, smart revision control system

Copyright | 2008 David Roundy <droundy@darcs.net>
License | GPL
Maintainer | darcs-devel@darcs.net
Stability | experimental
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell2010

Darcs.Util.Workaround

Description

# Documentation

setExecutable :: FilePath -> Bool -> IO () #

getCurrentDirectory :: IO FilePath #

installHandler :: Signal -> Handler -> Maybe SignalSet -> IO Handler #

raiseSignal :: Signal -> IO () #

data Handler #

Constructors

Default |
Ignore |
Catch (IO ()) |
CatchOnce (IO ()) |
CatchInfo (SignalInfo -> IO ()) |
CatchInfoOnce (SignalInfo -> IO ()) |

type Signal = CInt #

sigINT :: CInt #

sigHUP :: CInt #

sigABRT :: CInt #

sigALRM :: CInt #

sigTERM :: CInt #

sigPIPE :: CInt #